Skip to content

Queue restore to a new target

POST
/api/databases/{id}/backups/runs/{runId}/restore
curl --request POST \
--url https://gateway.example.com/api/databases/550e8400-e29b-41d4-a716-446655440000/backups/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "executorNodeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "newManagedDatabaseName": "example", "targetDatabaseName": "example", "restoreTargetConnectionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "folderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "overwrite": false, "limits": { "workspaceBytes": 1, "timeoutSeconds": 1, "cpuCores": 1, "memoryMb": 1 }, "storageSizeGb": 1, "cpuCores": 1, "memoryMb": 1, "swapMb": 0 }'

Restores into a new managed database (newManagedDatabaseName) or another empty connection (restoreTargetConnectionId). storageSizeGb, cpuCores, memoryMb and swapMb size a new managed database with the limits of managed database create; each defaults to the source managed instance, and for a backup of an external database to 1 CPU core, 1024 MB of memory (2048 MB for ClickHouse), no swap and three times the backup on disk (at least 20 GB).

id
required
string
>= 1 characters
Example
550e8400-e29b-41d4-a716-446655440000
runId
required
string format: uuid

JSON request body

Media typeapplication/json
object
executorNodeId
required
string format: uuid
newManagedDatabaseName
string
>= 1 characters <= 96 characters
targetDatabaseName
string
/^[a-zA-Z_][a-zA-Z0-9_]{0,62}$/
restoreTargetConnectionId
string format: uuid
folderId
string | null format: uuid
overwrite
boolean
limits
object
workspaceBytes
integer
timeoutSeconds
integer
cpuCores
integer
memoryMb
integer
storageSizeGb
number
>= 0.1 <= 16384
cpuCores
number
>= 0.1 <= 128
memoryMb
integer
>= 128 <= 1048576
swapMb
integer
0 <= 1048576

Created

Media typeapplication/json
object
data
required

Resource object. Exact fields depend on the endpoint.

object
id
string
name
string
key
additional properties
Example
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Example resource",
"createdAt": "2024-01-01T12:00:00.000Z",
"updatedAt": "2024-01-01T12:30:00.000Z"
}
}

Bad request

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"details": [
{
"path": [
"name"
],
"message": "Required"
}
]
}

Authentication required

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "UNAUTHORIZED",
"message": "Authentication required"
}

Forbidden

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "FORBIDDEN",
"message": "Insufficient permissions"
}

Not found

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "NOT_FOUND",
"message": "Resource not found"
}

Conflict

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "CONFLICT",
"message": "Resource already exists"
}

Unprocessable entity

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "UNPROCESSABLE_ENTITY",
"message": "Request could not be processed"
}

Internal server error

Media typeapplication/json
object
code
required

Error code

string
message
required

Human-readable error message

string
details

Additional error details

Example
{
"code": "INTERNAL_ERROR",
"message": "Internal server error"
}